%define name rpmbuilder
%define version 0.5.1b
%define release 4mdk

Summary:	Graphical RPM packaging tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://download.sourceforge.net/pub/sourceforge/rpmbuilder/%{name}-%{version}.tar.bz2
URL: http://www.sourceforge.net/projects/rpmbuilder
License: GPL
Group: Archiving/Other
Requires: tk
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch

%description
Convert tar.gz files to RPM's with that nice GUI environment.

This builds a basic RPM file from a generic .tar.gz source. It has support for
a Buildroot, but has no support for some of the more advanced features in RPM
like Requires:, or Provides:.

This version comes with the Mandrake patch which is available in the original
tarball. The Mandrake patch tries to bring it in line with Mandrake's RPM 
etiquette, for example, using Bzip2 sources. The original one is still offered
in this RPM however, under the name of rpmbuilder.redhat.


%prep
rm -rf $RPM_BUILD_ROOT

%setup


%build
cp rpmbuilder rpmbuilder.redhat
patch -p0 rpmbuilder rpmbuilder.diff

echo nothing to do here

%install

mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 rpmbuilder $RPM_BUILD_ROOT%{_bindir}/
install -m 755 rpmbuilder.redhat $RPM_BUILD_ROOT%{_bindir}/

%files
%defattr(-,root,root)
%doc COPYING INSTALL README TODO
%{_bindir}/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1b-4mdk
- Bug #5873 : requires on tk

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1b-3mdk
- rebuild

* Tue Oct 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1b-2mdk
- rebuild

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1b-1mdk
- 0.5.1b

* Fri Sep 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1a-2mdk
- minor changes

* Sun Jul 10 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.5.1a-1mdk
- new release (should work now)
- inserted good official patch

* Wed May 24 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.5-4mdk
- more hacks to add changelog and buildroot and better description

* Mon May 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.5-3mdk
- add conf file
- _tmppath and _prefix
- hack hack hack hack hack

* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- fix group
- fix files section

* Fri Aug 20 1999 Daouda LO <daouda@mandrakesoft.com>
- First spec file for Mandrake distribution.

